Bug 72483 - gtk-doc: add missing setup_files.
Summary: gtk-doc: add missing setup_files.
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-08 14:54 UTC by Alban Browaeys
Modified: 2013-12-10 09:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
gtk-doc: add missing setup_files. (1.25 KB, patch)
2013-12-08 14:54 UTC, Alban Browaeys
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alban Browaeys 2013-12-08 14:54:50 UTC
Created attachment 90465 [details] [review]
gtk-doc: add missing setup_files.

Requires a yet to be commited patch to gtk-doc to generate
the subdirectories in the builddir (the setup files are copied
to the builddir from the sourcedir, with the relative path
kept, except the subdir of the relative path are not created if
missing as of now).

Depends on https://bugzilla.gnome.org/show_bug.cgi?id=720061 from
gtk-doc.
Comment 1 Richard Hughes 2013-12-09 09:08:30 UTC
(In reply to comment #0)
> Depends on https://bugzilla.gnome.org/show_bug.cgi?id=720061 from
> gtk-doc.

What happens if we apply the PK patch and the user is using an old gtk-doc version?
Comment 2 Alban Browaeys 2013-12-10 08:46:49 UTC
We get warnings that the "spec/<...>" files could not be created (the make rule ends with a hardcoded true for setup-build.stamp so no halt.

We also get the "pk-introduction.xml and the other spec xml" not found while generating the html but not worse than before the change in gtk-doc.
Comment 3 Richard Hughes 2013-12-10 09:51:42 UTC
Okay, pushed, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.